<?php
global $smilies_themer, $sm_toolbar;
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>{#emotions_dlg.title}</title>
	<script type="text/javascript" src="<?php echo $sm_toolbar->folder_url; ?>tinymce/js/tiny_mce_popup.js"></script>
	<script type="text/javascript" src="<?php echo $sm_toolbar->folder_url; ?>tinymce/js/emotions.js"></script>
	<style type='text/css'>
		.wp-smiley {
			cursor: pointer;
		}
	</style>
	<base target="_self" />
</head>
<body style="display: none">
Choose a smiley to add:
<?php
// Check if Smilies Themer plugin is installed and running
if (!$smilies_themer) return;
if (!$smilies_themer->use_smilies) return;

$path = $smilies_themer->smilies->url_path;

// I discard smilies containing quotes, they don't work. (WP limitation)
$sm = array();
foreach ($smilies_themer->smilies->smilies as $key => $value) {
	if (strpos($key,"'")) continue;
	$sm[$key] = $value;
}

// Discard duplicates		
$sm = array_reverse($sm);
$sm = array_flip($sm);
$sm = array_reverse($sm);

echo "<div id='smilies_toolbar'>\n";
foreach ($sm as $image => $text) {
	echo "<img src='$path/$image'";
	echo " class='wp-smiley'";
	echo " alt='".htmlentities($text,ENT_QUOTES)."'";
	echo " onclick='SmiliesThemerToolbar.addSmiley(\"".htmlentities($text,ENT_QUOTES)."\")' />\n";
}
echo "</div>\n";

?>
</body>
</html>
